#unity-container {
	
}

#unity-canvas 
{
	position: absolute;
	background-image: none;
	background: none;
	height: 100%;
	width: 100%;
}

#background
{
	position: absolute;
	background-image: url('background.jpg');
	background-position: center;
	background-size: cover;
	height: 100%;
	width: 100%;
}

#unity-logo { display: none }

#loading-content
{
	height: 100%;
	width: 100%;
}

#header-bar
{
	position: absolute;
	left: 50%; top: 0; transform: translate(-50%, 0%);
	background-repeat: no-repeat;
    background-size: contain;
}

@media screen and (min-width: 1025px) {
		#header-line
		{
			position: absolute;
			width: 100%;
			height: 1.88vw;
			background-color: #264F36;
		}
	
        #header-bar
		{
			width: 30%;
			height: 22.22vw;
		}
    }

    /* Styles for Tablets (e.g., screens between 768px and 1024px wide) */
    @media screen and (max-width: 1024px) {
        #header-bar
		{
			width: 100%;
			height: 22.22vw;
		}
    }

#header-bg
{
	background-image: url('data:image/svg+xml,<svg viewBox="0 0 1080 240" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1436 58.6904H1117.73C1094.38 58.6904 1071.97 67.4722 1054.88 83.1426L935.047 210.682C917.469 229.389 892.941 240 867.271 240H212.729C187.059 240 162.531 229.389 144.953 210.682L25.1201 83.1426C8.0307 67.4722 -14.3767 58.6904 -37.7295 58.6904H-356V0H1436V58.6904Z" fill="%23264F36"/></svg>');
	background-repeat: no-repeat;
	width: 100%;
	height: 100%;
}

#header-icons
{
	background-image: url('data:image/svg+xml,<svg viewBox="0 0 1080 240" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M382.545 60.398C370.637 68.669 366.862 84.8322 374.244 97.614L421.145 178.918C421.786 180.026 423.237 180.324 424.286 179.596C436.193 171.325 439.968 155.162 432.586 142.38L385.685 61.0757C385.044 59.968 383.594 59.6692 382.545 60.398V60.398Z" fill="%23EE7203"/><path d="M335.651 60.398C323.744 68.669 319.969 84.8322 327.351 97.614L374.252 178.918C374.893 180.026 376.343 180.324 377.392 179.596C389.3 171.325 393.075 155.162 385.693 142.38L338.792 61.0757C338.151 59.968 336.7 59.6692 335.651 60.398V60.398Z" fill="%23EE7203"/><path d="M312.071 180C327.573 180 340.141 167.433 340.141 151.93C340.141 136.427 327.573 123.859 312.071 123.859C296.568 123.859 284 136.427 284 151.93C284 167.433 296.568 180 312.071 180Z" fill="%23FB471F"/><path d="M520 100L540 120M560 140L540 120M540 120L560 100M540 120L520 140" stroke="white" stroke-width="6" stroke-linecap="round"/><g clip-path="url(%23clip0_5295_2126)"><path d="M838.032 163.77C831.187 163.77 825.604 166.84 825.604 174.914C825.604 182.989 831.187 185.998 838.032 185.998C844.877 185.998 850.553 182.958 850.553 174.914C850.553 166.871 844.971 163.77 838.032 163.77ZM838.032 182.27C832.935 182.27 829.745 180.531 829.745 174.945C829.745 169.358 833.56 167.561 838.032 167.561C842.503 167.561 846.412 169.3 846.412 174.914C846.412 180.529 843.253 182.268 838.032 182.268V182.27Z" fill="white"/><path d="M750.578 163.77C743.732 163.77 738.15 166.84 738.15 174.914C738.15 182.989 743.732 185.998 750.578 185.998C757.423 185.998 763.099 182.958 763.099 174.914C763.099 166.871 757.517 163.77 750.578 163.77ZM750.58 182.27C745.483 182.27 742.293 180.531 742.293 174.945C742.293 169.358 746.109 167.561 750.58 167.561C755.051 167.561 758.96 169.3 758.96 174.914C758.96 180.529 755.801 182.268 750.58 182.268V182.27Z" fill="white"/><path d="M672.162 163.77C665.317 163.77 659.735 166.84 659.735 174.914C659.735 182.989 665.317 185.998 672.162 185.998C679.008 185.998 684.684 182.958 684.684 174.914C684.684 166.871 679.101 163.77 672.162 163.77ZM672.162 182.27C667.065 182.27 663.876 180.531 663.876 174.945C663.876 169.358 667.691 167.561 672.162 167.561C676.634 167.561 680.543 169.3 680.543 174.914C680.543 180.529 677.384 182.268 672.162 182.268V182.27Z" fill="white"/><path d="M815.305 164.164L808.11 181.203H808.035H808.033H807.958L800.763 164.164H794.586V185.601H798.621V169.349H798.743L805.577 185.601H808.033H808.035H810.491L817.325 169.349H817.447V185.601H821.482V164.164H815.305Z" fill="white"/><path d="M736.803 164.162H731.842L720.736 176.799L720.733 164.162H716.656V185.608H720.733V177.701H723.536L731.905 185.608H737.314V185.336L727.007 175.615L736.803 164.465V164.162Z" fill="white"/><path d="M648.285 164.162H636V185.592H640.073V178.673H648.102C652.957 178.673 656.775 176.867 656.775 171.327C656.775 166.215 653.11 164.164 648.285 164.164V164.162ZM648.81 175.009H640.073V167.825H648.81C651.108 167.825 652.632 168.715 652.632 171.337C652.632 173.959 651.176 175.009 648.81 175.009Z" fill="white"/><path d="M700.706 182.27C695.609 182.27 692.419 180.531 692.419 174.945C692.419 169.358 696.235 167.561 700.706 167.561C704.212 167.561 706.729 168.59 707.706 171.611H711.99C710.846 165.99 706.602 163.77 700.706 163.77C693.861 163.77 688.278 166.84 688.278 174.914C688.278 182.989 693.861 185.998 700.706 185.998C706.747 185.998 711.06 183.691 712.072 177.785H707.896C707.169 181.142 704.903 182.268 700.706 182.268V182.27Z" fill="white"/><path d="M778.995 182.27C773.898 182.27 770.708 180.531 770.708 174.945C770.708 169.358 774.523 167.561 778.995 167.561C782.501 167.561 785.018 168.59 785.995 171.611H790.279C789.135 165.99 784.891 163.77 778.995 163.77C772.149 163.77 766.567 166.84 766.567 174.914C766.567 182.989 772.149 185.998 778.995 185.998C785.036 185.998 789.348 183.691 790.361 177.785H786.185C785.458 181.142 783.192 182.268 778.995 182.268V182.27Z" fill="white"/><path d="M866.632 182.27C861.535 182.27 858.345 180.531 858.345 174.945C858.345 169.358 862.16 167.561 866.632 167.561C870.138 167.561 872.655 168.59 873.632 171.611H877.916C876.772 165.99 872.528 163.77 866.632 163.77C859.786 163.77 854.204 166.84 854.204 174.914C854.204 182.989 859.786 185.998 866.632 185.998C872.673 185.998 876.985 183.691 877.998 177.785H873.822C873.095 181.142 870.829 182.268 866.632 182.268V182.27Z" fill="white"/><path d="M773.321 112.483C768.538 114.096 763.535 115.551 758.391 116.793C756.858 117.165 755.323 117.681 753.795 117.952L731.699 128.514C740.327 127.732 748.961 126.353 758.391 123.952C765.037 122.26 771.315 120.259 777.15 118.041L773.321 112.483ZM754.962 74.9861L754.4 75.1247C716.445 84.7872 685.417 103.288 685.103 116.446C685.103 116.497 685.103 116.547 685.103 116.598V116.638C685.122 123.052 693.76 127.257 707.04 128.718L716.979 120.322C707.024 118.88 701.083 115.06 701.475 109.172C702.218 97.9665 725.624 83.2296 754.965 74.9861M754.988 74.979C754.988 74.979 754.972 74.9837 754.962 74.9861L754.988 74.979ZM800.949 69.5898C811.93 70.8326 818.586 74.7418 818.175 80.9579C817.714 87.9657 808.391 96.3526 794.295 103.67L792.955 110.979C811.229 101.432 822.354 90.0566 822.56 81.4583C822.56 81.4113 822.56 81.3667 822.56 81.3197V81.1975C822.511 74.4552 814.215 70.4826 800.944 69.5898" fill="white"/><path d="M800.241 54C800.086 54 799.875 54.1785 799.46 54.5286L698.173 140.11C697.142 140.981 696.626 141.416 696.626 141.599C696.626 141.754 696.72 141.897 696.865 141.961C696.879 141.966 696.895 141.97 696.914 141.97H696.949C697.198 141.956 697.798 141.67 698.869 141.16L771.875 106.367C772.051 106.283 772.14 106.243 772.227 106.24H772.231C772.306 106.24 772.379 106.262 772.442 106.299C772.517 106.344 772.571 106.424 772.681 106.583L786.318 126.388C786.595 126.789 786.733 126.989 786.876 127.029C786.911 127.038 786.946 127.043 786.981 127.043C787.073 127.043 787.162 127.013 787.234 126.956C787.349 126.865 787.394 126.625 787.481 126.148L800.508 55.1206C800.606 54.5826 800.656 54.3148 800.574 54.1856C800.501 54.0728 800.379 54.0047 800.245 54H800.241Z" fill="%23EF3443"/></g><defs><clipPath id="clip0_5295_2126"><rect width="242" height="132" fill="white" transform="translate(636 54)"/></clipPath></defs></svg>');
	background-repeat: no-repeat;
	width: 100%;
	height: 100%;
}

#unity-loading-bar
{
}

#unity-progress-bar-empty
{
	background-image: url('data:image/svg+xml,<svg viewBox="0 0 693 140" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M71.8726 6.17648C73.9001 2.37474 77.858 0 82.1667 0H674.34C683.081 0 688.717 9.25668 684.705 17.0219L624.428 133.689C622.425 137.565 618.426 140 614.063 140H19.9445C11.1371 140 5.50567 130.614 9.65033 122.843L71.8726 6.17648Z" fill="%23264F36"/><g filter="url(%23filter0_i_7011_4410)"><path d="M84.719 23.4968C86.7773 19.7953 90.6799 17.5 94.9153 17.5H644.785C653.616 17.5 659.246 26.9322 655.053 34.7052L611.003 116.372C608.967 120.147 605.024 122.5 600.735 122.5H49.5032C40.6055 122.5 34.9827 112.94 39.3069 105.164L84.719 23.4968Z" fill="%23234A32"/></g><defs><filter id="filter0_i_7011_4410" x="37.8197" y="17.5" width="620.982" height="107.333" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB"><feFlood flood-opacity="0" result="BackgroundImageFix"/><feBlend mode="normal" in="SourceGraphic" in2="BackgroundImageFix" result="shape"/><feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/><feOffset dx="2.33333" dy="2.33333"/><feGaussianBlur stdDeviation="14.5833"/><feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/><feColorMatrix type="matrix" values="0 0 0 0 0.057349 0 0 0 0 0.142034 0 0 0 0 0.0903966 0 0 0 1 0"/><feBlend mode="normal" in2="shape" result="effect1_innerShadow_7011_4410"/></filter></defs></svg>');
	margin-top: 0px;
	display: flex;
	justify-content: center;
	align-items: center;
}

@media screen and (min-width: 1025px) {
		#unity-progress-bar-empty
		{
			width: 32vw;
			height: 6.5vw;
		}
		
		#unity-progress-bar
		{
			height: 4vw;
			width: 83%;
		}
		
		#progress-start
		{
			margin-right: -3px;
			width: 2.3vw;
		}
		
		#progress-text
		{
			font-size: 2vw;
		}
		
		#progress-end
		{
			width: 2.3vw;
		}
		
		#moon
		{
				left: -9vw; top: 12%;
				width: 17vw;
				height: 17vw;
		}
    }

    /* Styles for Tablets (e.g., screens between 768px and 1024px wide) */
    @media screen and (max-width: 1024px) {
        #unity-progress-bar-empty
		{
			width: 64.16vw;
			height: 12.96vw;
		}
		
		#unity-progress-bar
		{
			height: 8.21vw;
			width: 83%;
		}
		
		#progress-start
		{
			margin-right: -3px;
			width: 4.7vw;
		}
		
		#progress-text
		{
			font-size: 4.7vw;
		}
		
		#progress-end
		{
			width: 4.7vw;
			margin-left: -1px;
		}
		
		#moon
		{
					left: -20%; top: 20%;
	width: 36vw;
	height: 36vw;
		}
    }

#unity-progress-bar
{
	display: flex;
    align-items: stretch;
    position: relative;
}

#progress-start
{
	background-image: url('progress-start.png');
    background-size: contain;
    background-repeat: no-repeat;
	flex-shrink: 0;
}

#progress-middle
{
	background-image: url('progress-middle.png');
    background-size: 100% 100%;
    background-repeat: repeat-x;
    min-width: 3vw;
}

#progress-end
{
	background-image: url('progress-end.png');
    background-size: contain;
    background-repeat: no-repeat;
    flex-shrink: 0;
    margin-left: -1px;
}

#progress-text
{
	height: 100%;
	width: 100%;
	font-family: Tasty-Gothic-Heavy;
	color: white;
	display: flex;
	align-items: center;
	justify-content: center;
	transform: translate(-80%, 0%);
}

.star
{
	position: absolute;
	background-image: url('star.png');
	background-size: contain;
    background-repeat: no-repeat;
	height: 7em;
	width: 7em;
}

#star1
{
	left: 85%; top: 35%;
}

#star2
{
	left: 5%; top: 70%;
}

#moon 
{
	position: absolute;
	background-image: url('moon.png');
	background-size: contain;
	pointer-events: none;
}

#planet
{
	position: absolute;
	background-image: url('planet.png');
	background-size: contain;
	right: -30vw; bottom: -70vw;
	width: 100vw;
	height: 100vw;
	pointer-events: none;
}

@font-face {
  font-family: Tasty-Gothic-Heavy;
  src: url(Tasty-Gothic_Heavy.otf);
}

@keyframes scale {
  0% { 
    transform: scale(0.7); 
  }
  50% { 
    transform: scale(1.3);
  }
  100% { 
    transform: scale(0.7);
  }
}

@keyframes loading {
  0% { 
    transform: rotate(0); 
  }
  100% { 
    transform: rotate(360deg);
  }
}

@keyframes loadingCounter {
  0% { 
    transform: rotate(360deg); 
  }
  100% { 
    transform: rotate(0deg);
  }
}

/* apply the loading keyframe to element */
.rotating{
 animation: loading 36s linear infinite;
}

.rotating-counter{
 animation: loadingCounter 36s linear infinite;
}

.scaling
{
	animation: scale 7s linear infinite;
}
